<?php

/*
Plugin Name: GeoMood
Plugin URI: http://www.georgejipa.info/geomood-wp-plugin/
Description: A simple wordpress plugin that displays your mood everywhere you want in your wordpress template.
Author: George Jipa
Version: 1.0
Author URI: http://www.georgejipa.info

    Copyright 2008 George Jipa  (email : george_bz18@yahoo.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

function geomood_display(){
        $geomood_img = get_option("geomood_img");
        $url = get_settings('siteurl');
        echo "
        <strong><a href='http://www.georgejipa.info/geomood-wp-plugin/' style='text-decoration: none;' target='_blank'>: My Mood :</a></strong><br />
        <img src='".$url."/wp-content/plugins/GeoMood/images/".$geomood_img."'>";

}

function geomood_admin(){
    if(isset($_POST['submitted'])){
        $geomood_imgg = $_POST['img'];
        update_option("geomood_img", $geomood_imgg);
        echo "
        <div id=\"message\" class=\"updated fade\">
          <p>
            <strong>GeoMood Plugin was updated!</strong>
          </p>
        </div>";
    }
    echo "
    <div class=\"wrap\">
    <h2>GeoMood Settings</h2><br />
    Hello! I`m <strong>George Jipa</strong>, the author of this funny plugin! If you want to setup the mood you just need to choose a mood. That`s all!<br />
    For new releases of this plugin you can visit <a href='http://www.georgejipa.info/geomood-wp-plugin/'>GeorgeJipa</a>.<br />
    ";
    ?>
  <form method="post" name="options" target="_self">   
  Choose your mood:
  <select name="img" id="img">
  <option value="Aggressive.gif" selected="selected">Aggressive</option>
  <option value="Amazed.gif">Amazed</option>
  <option value="Amused.gif">Amused</option>
  <option value="Angelic.gif">Angelic</option>
  <option value="Angry.gif">Angry</option>
  <option value="Approved.gif">Approved</option>
  <option value="Asleep.gif">Asleep</option>
  <option value="Bored.gif">Bored</option>
  <option value="Breezy.gif">Breezy</option>
  <option value="Brooding.gif">Brooding</option>
  <option value="Busy.gif">Busy</option>
  <option value="Buzzed.gif">Buzzed</option>
  <option value="Chatty.gif">Chatty</option>
  <option value="Cheeky.gif">Cheeky</option>
  <option value="Cheerful.gif">Cheerful</option>
  <option value="Confused.gif">Confused</option>
  <option value="Cool.gif">Cool</option>
  <option value="Crappy.gif">Crappy</option>
  <option value="Daring.gif">Daring</option>
  <option value="Dead.gif">Dead</option>
  <option value="Depressed.gif">Depressed</option>
  <option value="Devilish.gif">Devilish</option>
  <option value="Disapprove.gif">Disapprove</option>
  <option value="Doh.gif">Doh</option>
  <option value="Drunk.gif">Drunk</option>
  <option value="Fine.gif">Fine</option>
  <option value="Flirty.gif">Flirty</option>
  <option value="Grumpy.gif">Grumpy</option>
  <option value="Hacker.gif">Hacker</option>
  <option value="HaHa.gif">HaHa</option>
  <option value="Happy.gif">Happy</option>
  <option value="Hot.gif">Hot</option>
  <option value="Innocent.gif">Innocent</option>
  <option value="Inpain.gif">Inpain</option>
  <option value="Inspired.gif">Inspired</option>
  <option value="Lonely.gif">Lonely</option>
  <option value="Lurking.gif">Lurking</option>
  <option value="Mad.gif">Mad</option>
  <option value="Nerdy.gif">Nerdy</option>
  <option value="Ornery.gif">Ornery</option>
  <option value="Psychadelic.gif">Psychadelic</option>
  <option value="Relaxed.gif">Relaxed</option>
  <option value="Roflol.gif">Roflol</option>
  <option value="Sad.gif">Sad</option>
  <option value="Scared.gif">Scared</option>
  <option value="Shocked.gif">Shocked</option>
  <option value="Sick.gif">Sick</option>
  <option value="Sleepy.gif">Sleepy</option>
  <option value="Sneaky.gif">Sneaky</option>
  <option value="Stressed.gif">Stressed</option>
  <option value="Stuck.gif">Stuck</option>
  <option value="sunshine.gif">sunshine</option>
  <option value="Talkative.gif">Talkative</option>
  <option value="Tell.gif">Tell</option>
  <option value="Tired.gif">Tired</option>
  <option value="Wasted.gif">Wasted</option>
  <option value="Where.gif">Where</option>
  <option value="Worried.gif">Worried</option>
  </select>
  <br />
  <p class="submit">
  <input name="submitted" type="hidden" value="yes" />
  <input type="submit" name="Submit" value="Update GeoMood Settings &raquo;" />
  </p>
  </form>
  <?php 
}

function geomood_addpage() {
    add_submenu_page('index.php', 'Setup your mood!', 'Setup your mood!', 10, __FILE__, 'geomood_admin');
}
add_action('admin_menu', 'geomood_addpage');

?>
